### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.storedprocess.metadata

# Class DataTable

java.lang.Object
com.sas.services.storedprocess.metadata.DataSourceOrTarget
com.sas.services.storedprocess.metadata.DataTable

All Implemented Interfaces:
  `com.sas.storage.editableproperties.LocalizableProperties`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class DataTable extends DataSourceOrTarget implements com.sas.storage.editableproperties.LocalizableProperties, Serializable
Describes a design time Data Table object.

Since:
  9.3
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.storedprocess.metadata.DataSourceOrTarget

  `_cultureElement, _descElement, _element, _labelElement`

  ### Fields inherited from interface com.sas.storage.editableproperties.LocalizableProperties

  `PROPERTY_DESCRIPTION, PROPERTY_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTable()`
  Constructs an empty Source Data Table or Target Data Table object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getParameterName()`
  Returns the parameter name.
  `PhysicalTableInterface`
  `getTemplateTable()`
  Returns the template table.
  `void`
  `setParameterName(String parameterName)`
  Sets the parameter name.
  `void`
  `setTemplateTable(PhysicalTableInterface templateTable)`
  Sets the template table.
  `void`
  `validate()`
  `void`
  `writeXML(Document document, Element element)`

  ### Methods inherited from class com.sas.services.storedprocess.metadata.DataSourceOrTarget

  `getDescription, getLabel, isSource, setDescription, setLabel, setSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataTable

    public DataTable()
    Constructs an empty Source Data Table or Target Data Table object. By default a data source is created; a data Target can be created by calling `DataSourceOrTarget.setSource(boolean)`.

- ## Method Details

  - ### getParameterName

    public String getParameterName()
    Returns the parameter name.
    Returns:
      the parameter name

  - ### getTemplateTable

    public PhysicalTableInterface getTemplateTable() throws ServiceException
    Returns the template table.
    Returns:
      the template table
    Throws:
      `ServiceException`

  - ### setTemplateTable

    public void setTemplateTable(PhysicalTableInterface templateTable) throws IllegalStateException, ServiceException, RemoteException
    Sets the template table.
    Throws:
      `IllegalStateException`
      `ServiceException`
      `RemoteException`

  - ### setParameterName

    public void setParameterName(String parameterName)
    Sets the parameter name.

  - ### validate

    public void validate() throws ServiceException
    Specified by:
      `validate` in class `DataSourceOrTarget`
    Throws:
      `ServiceException`

  - ### writeXML

    public void writeXML(Document document, Element element)